package ut

import (
	"fmt"
	"time"

	adapayCore "adapay-sdk/adapay-core"
)

func StartTestMessage() {

	// 初始化 mqtt 消息配置参数
	config, err := adapayCore.InitConfig("ut/测试.json")
	if err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println(config)

	// 初始化消息对象
	msg, err := adapayCore.Creat(config)
	if err != nil {
		fmt.Println(err)
	}

	// 设置消息回调处理方法
	msg.SetDefaultPublishHandler(MQMessHandler)

	// 发起连接，如果连接失败返回错误信息
	if err := adapayCore.Connect(msg); err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println("连接成功")

	// 发起订阅
	if err := adapayCore.Subscribe(msg); err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println("订阅成功")

	time.Sleep(300000000000)
}

// 回调方法
var MQMessHandler adapayCore.MessageHandler = func(body adapayCore.MesBody) {
	fmt.Printf("TOPIC: %s\n", body.Topic)
	fmt.Printf("MSG: %s\n", body.Payload)
}
