package ut

import (
	"fmt"
	"time"
)

func testCreatPayment() {
	testAppId := "app_7d87c043-aae3-4357-9b2c-269349a980d6"

	createPaymentParams := make(map[string]interface{})
	createPaymentParams["order_no"] = time.Now().UnixNano()
	createPaymentParams["app_id"] = testAppId
	createPaymentParams["pay_channel"] = "alipay"
	createPaymentParams["pay_amt"] = "0.01"
	createPaymentParams["goods_title"] = "subject"
	createPaymentParams["goods_desc"] = "body"
	createPaymentParams["currency"] = "cny"

	data, apiError, err := Adapay.Payment().Create(createPaymentParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

/**
查一条历史成功创建的payment
*/
func testPaymentQuery() {
	createPaymentParams := map[string]interface{}{
		"payment_id": "002112019102115043910032250858429440000",
	}

	data, apiError, err := Adapay.Payment().Query(createPaymentParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

// /**
// 关闭刚才用 testPaymentCreate 创建的订单
// */
// func testPaymentClose() {
// 	// 延迟 1分钟 才能关单，这里阻塞一下
// 	time.Sleep(70 * time.Second)

// 	_, apiError, err := payment.Close(map[string]interface{}{
// 		"payment_id": tempCreatedPayment["id"],
// 		"reason":     "单元测试",
// 		"expend":     "expend",
// 		"notify_url": "",
// 	}, "msc_correct")

// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[testPaymentClose] Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[testPaymentClose] Failed ---> Response ---> ", apiError)
// 		return
// 	}
// 	utils.Println("[testPaymentClose] Success ")
// }

// /**
// 创建支付确认对象
// */
// func TestCreateConfirm() {
// 	params := make(map[string]interface{})

// 	params["payment_id"] = ""
// 	params["order_no"] = ""
// 	params["confirm_amt"] = ""
// 	params["description"] = ""
// 	params["div_members"] = ""

// 	data, apiError, err := payment.CreateConfirm(params, "msc_correct")

// 	// 异常处理
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[DEMO] CreateConfirm Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[DEMO] CreateConfirm Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	/*
// 		TODO 成功处理
// 	*/

// 	utils.Println("[DEMO] CreateConfirm Success ---> ", data)
// }

// func TestQueryConfirm() {
// 	params := make(map[string]interface{})

// 	params["payment_confirm_id"] = ""

// 	data, apiError, err := payment.QueryConfirm(params, "msc_correct")

// 	// 异常处理
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[DEMO] QueryConfirm Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[DEMO] QueryConfirm Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	/*
// 		TODO 成功处理
// 	*/

// 	utils.Println("[DEMO] QueryConfirm Success ---> ", data)
// }

// func TestQueryConfirmList() {
// 	params := make(map[string]interface{})

// 	params["app_id"] = ""
// 	params["payment_id"] = ""
// 	params["page_index"] = ""
// 	params["page_size"] = ""
// 	params["created_gte"] = ""
// 	params["created_lte"] = ""

// 	data, apiError, err := payment.QueryConfirmList(params, "msc_correct")

// 	// 异常处理
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[DEMO] QueryConfirmList Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[DEMO] QueryConfirmList Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	/*
// 		TODO 成功处理
// 	*/

// 	utils.Println("[DEMO] QueryConfirmList Success ---> ", data)
// }

// func TestCreateReverse() {
// 	params := make(map[string]interface{})

// 	params["payment_id"] = ""
// 	params["app_id"] = ""
// 	params["order_no"] = ""
// 	params["notify_url"] = ""
// 	params["reverse_amt"] = ""
// 	// 非必填
// 	// params["reason"]
// 	// params["expand"]
// 	// params["device_info"]

// 	data, apiError, err := payment.CreateReverse(params, "msc_correct")

// 	// 异常处理
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[DEMO] CreateReverse Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[DEMO] CreateReverse Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	/*
// 		TODO 成功处理
// 	*/

// 	utils.Println("[DEMO] CreateReverse Success ---> ", data)
// }

// func TestQueryReverse() {
// 	params := make(map[string]interface{})

// 	params["reverse_id"] = ""

// 	data, apiError, err := payment.QueryReverse(params, "msc_correct")

// 	// 异常处理
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[DEMO] QueryReverse Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[DEMO] QueryReverse Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	/*
// 		TODO 成功处理
// 	*/

// 	utils.Println("[DEMO] QueryReverse Success ---> ", data)
// }

// func TestQueryReverseList() {
// 	params := make(map[string]interface{})

// 	params["app_id"] = ""
// 	params["payment_id"] = ""
// 	params["page_index"] = ""
// 	params["page_size"] = ""
// 	params["created_gte"] = ""
// 	params["created_lte"] = ""

// 	data, apiError, err := payment.QueryReverseList(params, "msc_correct")

// 	// 异常处理
// 	if err != nil { // 网络或本应用异常
// 		utils.Println("[DEMO] QueryReverseList Failed ---> " + err.Error())
// 		return
// 	}
// 	if apiError != nil { // adapay 服务返回异常
// 		utils.Println("[DEMO] QueryReverseList Failed ---> Response ---> ", apiError)
// 		return
// 	}

// 	/*
// 		TODO 成功处理
// 	*/

// 	utils.Println("[DEMO] QueryReverseList Success ---> ", data)
// }

func TestPayment() {
	testPaymentQuery()
}
